# Matrix Dart SDK Sqflite Store

A [`sqflite`](https://pub.dartlang.org/packages/sqflite) store implementation
for the Matrix Dart SDK.

This store is only usable on Flutter.

## Usage

```dart
final store = SqfliteStore(path: 'matrix.sqlite');
// Open the store before passing it to the homeserver
await store.open();

final hs = Homeserver(Uri.parse("https://matrix.org"), store: store);
final user = await hs.login(Username("joe"), "badPassword");
```
